DataContextsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class DataContextsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.DataContextsResourceApi

-     public class DataContextsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataContextsResourceApi()`
    `DataContextsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiDataContext` | `createDataContext(ApiDataContext body)` Create a datacontext.
    `okhttp3.Call` | `createDataContextAsync(ApiDataContext body, ApiCallback<ApiDataContext> callback)` Create a datacontext.
    `okhttp3.Call` | `createDataContextCall(ApiDataContext body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createDataContext
    `ApiResponse<ApiDataContext>` | `createDataContextWithHttpInfo(ApiDataContext body)` Create a datacontext.
    `ApiDataContext` | `deleteDataContext(String dataContextName)` Delete a datacontext.
    `okhttp3.Call` | `deleteDataContextAsync(String dataContextName, ApiCallback<ApiDataContext> callback)` Delete a datacontext.
    `okhttp3.Call` | `deleteDataContextCall(String dataContextName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteDataContext
    `ApiResponse<ApiDataContext>` | `deleteDataContextWithHttpInfo(String dataContextName)` Delete a datacontext.
    `ApiClient` | `getApiClient()`
    `ApiDataContext` | `readDataContext(String dataContextName)` Reads information about a datacontext.
    `okhttp3.Call` | `readDataContextAsync(String dataContextName, ApiCallback<ApiDataContext> callback)` Reads information about a datacontext.
    `okhttp3.Call` | `readDataContextCall(String dataContextName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readDataContext
    `ApiDataContextList` | `readDataContexts()` Get all the datacontexts.
    `okhttp3.Call` | `readDataContextsAsync(ApiCallback<ApiDataContextList> callback)` Get all the datacontexts.
    `okhttp3.Call` | `readDataContextsCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readDataContexts
    `ApiResponse<ApiDataContextList>` | `readDataContextsWithHttpInfo()` Get all the datacontexts.
    `ApiResponse<ApiDataContext>` | `readDataContextWithHttpInfo(String dataContextName)` Reads information about a datacontext.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiDataContext` | `updateDataContext(ApiDataContext body)` Update a datacontext.
    `okhttp3.Call` | `updateDataContextAsync(ApiDataContext body, ApiCallback<ApiDataContext> callback)` Update a datacontext.
    `okhttp3.Call` | `updateDataContextCall(ApiDataContext body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateDataContext
    `ApiResponse<ApiDataContext>` | `updateDataContextWithHttpInfo(ApiDataContext body)` Update a datacontext.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataContextsResourceApi

          public DataContextsResourceApi()

    - #### DataContextsResourceApi

          public DataContextsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createDataContextCall

          public okhttp3.Call createDataContextCall(ApiDataContext body,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for createDataContext
      Parameters:
        `body` - DataContext to be created. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createDataContext

          public ApiDataContext createDataContext(ApiDataContext body)
                                           throws ApiException

      Create a datacontext. Create a datacontext. Following are are required fields of ApiDataContext: name, displayName, services.
      Parameters:
        `body` - DataContext to be created. (optional)
      Returns:
        ApiDataContext
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createDataContextWithHttpInfo

          public ApiResponse<ApiDataContext> createDataContextWithHttpInfo(ApiDataContext body)
                                                                    throws ApiException

      Create a datacontext. Create a datacontext. Following are are required fields of ApiDataContext: name, displayName, services.
      Parameters:
        `body` - DataContext to be created. (optional)
      Returns:
        ApiResponse<ApiDataContext>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createDataContextAsync

          public okhttp3.Call createDataContextAsync(ApiDataContext body,
                                                     ApiCallback<ApiDataContext> callback)
                                              throws ApiException

      Create a datacontext. (asynchronously) Create a datacontext. Following are are required fields of ApiDataContext: name, displayName, services.
      Parameters:
        `body` - DataContext to be created. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteDataContextCall

          public okhttp3.Call deleteDataContextCall(String dataContextName,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for deleteDataContext
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteDataContext

          public ApiDataContext deleteDataContext(String dataContextName)
                                           throws ApiException

      Delete a datacontext. Delete a datacontext.
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
      Returns:
        ApiDataContext
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteDataContextWithHttpInfo

          public ApiResponse<ApiDataContext> deleteDataContextWithHttpInfo(String dataContextName)
                                                                    throws ApiException

      Delete a datacontext. Delete a datacontext.
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
      Returns:
        ApiResponse<ApiDataContext>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteDataContextAsync

          public okhttp3.Call deleteDataContextAsync(String dataContextName,
                                                     ApiCallback<ApiDataContext> callback)
                                              throws ApiException

      Delete a datacontext. (asynchronously) Delete a datacontext.
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readDataContextCall

          public okhttp3.Call readDataContextCall(String dataContextName,
                                                  ProgressResponseBody.ProgressListener progressListener,
                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                           throws ApiException

      Build call for readDataContext
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readDataContext

          public ApiDataContext readDataContext(String dataContextName)
                                         throws ApiException

      Reads information about a datacontext. Reads information about a datacontext.
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
      Returns:
        ApiDataContext
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readDataContextWithHttpInfo

          public ApiResponse<ApiDataContext> readDataContextWithHttpInfo(String dataContextName)
                                                                  throws ApiException

      Reads information about a datacontext. Reads information about a datacontext.
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
      Returns:
        ApiResponse<ApiDataContext>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readDataContextAsync

          public okhttp3.Call readDataContextAsync(String dataContextName,
                                                   ApiCallback<ApiDataContext> callback)
                                            throws ApiException

      Reads information about a datacontext. (asynchronously) Reads information about a datacontext.
      Parameters:
        `dataContextName` - Name of the datacontext. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readDataContextsCall

          public okhttp3.Call readDataContextsCall(ProgressResponseBody.ProgressListener progressListener,
                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                            throws ApiException

      Build call for readDataContexts
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readDataContexts

          public ApiDataContextList readDataContexts()
                                              throws ApiException

      Get all the datacontexts. Get all the datacontexts.
      Returns:
        ApiDataContextList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readDataContextsWithHttpInfo

          public ApiResponse<ApiDataContextList> readDataContextsWithHttpInfo()
                                                                       throws ApiException

      Get all the datacontexts. Get all the datacontexts.
      Returns:
        ApiResponse<ApiDataContextList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readDataContextsAsync

          public okhttp3.Call readDataContextsAsync(ApiCallback<ApiDataContextList> callback)
                                             throws ApiException

      Get all the datacontexts. (asynchronously) Get all the datacontexts.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateDataContextCall

          public okhttp3.Call updateDataContextCall(ApiDataContext body,
                                                    ProgressResponseBody.ProgressListener progressListener,
                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                             throws ApiException

      Build call for updateDataContext
      Parameters:
        `body` - DataContext to be updated. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateDataContext

          public ApiDataContext updateDataContext(ApiDataContext body)
                                           throws ApiException

      Update a datacontext. Update a datacontext. Following are are required fields of ApiDataContext: ApiDataContext#getName(), services.
      Parameters:
        `body` - DataContext to be updated. (optional)
      Returns:
        ApiDataContext
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateDataContextWithHttpInfo

          public ApiResponse<ApiDataContext> updateDataContextWithHttpInfo(ApiDataContext body)
                                                                    throws ApiException

      Update a datacontext. Update a datacontext. Following are are required fields of ApiDataContext: ApiDataContext#getName(), services.
      Parameters:
        `body` - DataContext to be updated. (optional)
      Returns:
        ApiResponse<ApiDataContext>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateDataContextAsync

          public okhttp3.Call updateDataContextAsync(ApiDataContext body,
                                                     ApiCallback<ApiDataContext> callback)
                                              throws ApiException

      Update a datacontext. (asynchronously) Update a datacontext. Following are are required fields of ApiDataContext: ApiDataContext#getName(), services.
      Parameters:
        `body` - DataContext to be updated. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.